Skip to main content
`Ctrl`+`K`

# PEPSTOARSetLinearization

Set the coefficients that define the symmetric linearization of a quadratic eigenproblem used in STOAR.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARSetLinearization(PEP pep,PetscReal alpha,PetscReal beta)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- alpha - first parameter of the linearization

- beta - second parameter of the linearization

## Options Database Key

- -pep_stoar_linearization <alpha,beta> - sets the coefficients

## Notes

See section Linearization for the general expression of the symmetric linearization.

Cannot pass zero for both `alpha` and `beta`. The default values are `alpha`=1 and `beta`=0.

## See Also

PEP: Polynomial Eigenvalue Problems, Linearization, `PEPSTOAR`, `PEPSTOARGetLinearization()`

## Level

advanced

## Location

src/pep/impls/krylov/stoar/stoar.c

## Examples

src/pep/tutorials/ex40.c

## Implementations

PEPSTOARSetLinearization_STOAR() in src/pep/impls/krylov/stoar/stoar.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages